package com.jeeplus.modules.sg.balancedlibrary.onPassageMaterials.entity;

import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 在途物资Entity
 * @author 徐滕
 * @version 1.0
 */
public class OnPassageMaterials extends DataEntity<OnPassageMaterials> {
    private String serialNumber;    //序号
    private String externalContractNumber;  //外部合同编号
    private String factory; //工厂
    private String factoryName; //工厂名称
    private String batch;   //批次
    private String materialCode;    //物料编码
    private String materialDescription; //物料描述
    private String contractName;    //合同
    private String contractLineItem;    //合同行项目
    private String contractCount;   //合同数量
    private String unit;    //度量单位文本
    private String unitPrice;   //单价
    private String money;   //金额
    private String supplierCode;    //供应商编码
    private String supplierName;    //供应商名称
    private String purchaseOrder;   //采购订单
    private String orderLineItem;   //订单行项目
    private String netPurchaseOrderPrice;   //采购订单净价
    private String purchaseApplicationNo;   //采购申请号
    private String projectOfPurchasingApplicantBank;    //采购申请行项目
    private String purchaseApplicationQuantity; //采购申请数量
    private String orderUnit;   //订单单位
    private String materialCompanySO;   //物资公司SO
    private String soLineItem;//    SO项目行
    private String materialCompanyPO;//物资公司PO
    private String poLineItem;//    PO项目行

    private Date contractPlannedDeliveryDate; //合同计划交货日期
    private String deliveryScheduleOfTheDeliveryOrderIsPlanned; //配送单计划交货期
    private String quantityDelivered;   //已交货数量
    private String materialDocument103;    //103物料凭证
    private Date postingDate103; //103过账日期
    private String electronicAcceptanceReport;  //电子验收报告
    private String electronicAcceptanceReportStatus;    //电子验收报告审批状态
    private Date electronicAcceptanceReportDate;//电子验收报告审批日期
    private String materialDocument105;    //105物料凭证
    private Date postingDate105; //105过账日期
    private String arrivalRegistrant;   //到货登记人
    private String demandForTheUnit;    //需求单位
    private String requirementUnitDescription;  //需求单位描述
    private String deliveryPlace;   //配送地点
    private String distributionLocationDescription; //配送地点描述
    private String drawersCode; //出票方编码
    private String drawersName; //出票方名称
    private Date dateOfIssue;   //出票日期
    private Date payTheTicketDate;  //交票日期
    private String invoiceNumber;//发票数量
    private String invoiceCheckQuantity;    //发票校验数量
    private String invoiceAmount;   //发票金额
    private String invoiceStatus;   //发票状态
    private String taxCode; //税码
    private String assessmentType;//评估类型、

    private String moneyAttribute;//资金属性
    private String propertyRightAttribute;//产权属性
    private String theRatioOfPayment;//付款比例
    private String advancePayment;//预付款
    private String cashOnDelivery;//到货款
    private String putMoney;//投运款
    private String qualityAssuranceModel;//质保款
    private String theMunicipalTerritory;//市级属地
    private String amountOfApplicationForPayment;//申请付款金额
    private String amountOfInventory;//入库金额
    private String forTheAwb;//投运单号
    private String waybillStatus;//投运状态
    private String qualityPolicyNo;//质保单号
    private String pledgedPolicyStatus;//质保单状态
    private String guaranteePeriod;//质保期
    private String planner;//计划编制人
    private String tenderBatchDescription;//招标批次描述
    private String projectDefinitionNumber;//项目定义
    private String projectDefinitionDescription;//项目定义描述
    private String wbsElement;//WBS元素
    private String wbsElementDescription;//WBS元素描述
    private String indicatesTheLabelNumber;//中标签报号
    private String successfulUtilPrice;//中标单价
    private String successfulTotalPrice;//中标总价
    private String caseInformation;//分标信息
    private String subcontractInformation;//分包信息

    private String frameContractNumber;//框架合同编号
    private String FrameSuccessfulNumber;//框架中标编号
    private String projectFirstClassification;//项目一级分类
    private String projectFirstClassificationDescription;//一级分类描述
    private String projectSecondClassification;//项目二级分类
    private String projectSecondClassificationDescription;//二级分类描述
    private String projectThreeClassification;//项目三级分类
    private String projectThreeClassificationDescription;//三级分类描述
    private String projectLocation;//项目所在地
    private Date contractDate;//合同日期
    private String businessContractNumber;//商务合同编号
    private String supplierLinkman;//供应商联系人
    private String supplierLinkmanPhone;//供应商联系人电话
    private String extraHighPressureMark;//特高压标识
    private String netUnitPriceOfConsignmentOrder;//寄存订单净单价
    private String unitPriceOfConsignmentOrderIncludingTax;//寄存订单含税单价
    private String consignmentOrderItemizedNetPriceTaxExclusive;//寄存订单分项净价(不含税)
    private String consignmentOrderItemizedNetPriceTaxInclusive;//寄存订单分项总价(含税)
    private String supplementaryAgreementNumber;//补充协议号
    private String totalQuantityAdjustedBySupplementaryAgreement;//补充协议调整后总数量
    private String supplementaryAgreementAdjustedTotalAmount;//补充协议调整后总金额
    private Date supplementaryAgreementDeliveryDate;//补充协议交货日期
    private String changeType;//变更类型
    private String supplementaryAgreementContractNumber;//补充协议合同编号(经法)
    private String supplementaryAgreementPurchaseOrder;//补充协议采购订单
    private String supplementaryAgreementPurchaseOrderLineItems;//补充协议采购订单行项目

    private Date confirmTheDeliveryDate;//确定交货期
    private String technicalSpecificationID;//技术规范ID
    private String eCommerceContractBankProject;//电子商务合同行项目
    private String contractProperties;//合同属性
    private Date putDate;//投运日期
    private Date predictWarrantyExpirationDate;//（预计质保到期日）
    private String whetherToSettleInBatches;//是否分批结算
    private String guaranteeType;//保函类型
    private String sourceSystem;//来源系统
    private String descriptionOfSupplierInvolvedInLaw;//涉法供应商描述
    private String markTheCompletionOfContractExecution;//合同执行完毕标识
    private String monomerProject;//单体工程
    private String monomerProjectDescription;//单体工程描述
    private String applicationNumberOfAdvancePayment;//投运款提前申请单号
    private String applicationForOperationFundsInAdvanceStatus;//投运款提前申请单状态
    private String frameBiddingPlanNumber;//框架招标计划编号
    private String frameTenderLotDescription;//框架招标批次描述
}
